<template>
    <block type="advantage" v-bind="params">
        <div class="container">
            <section-title v-if="params.header" v-bind="params.header"></section-title>
            <div class="section-advantage__items">
                <div class="section-advantage__column" :class="getClassColumn(index)" v-for="(item, index) in content.items" :key="index">
                    <card-advantage :class="getClass(index)" :item="item" :type="content.types"></card-advantage>
                </div>
            </div>
        </div>
    </block>
</template>

<script>
export default {
    props: {
        content: {
            default: () => {
                return {
                    items: require('@js/samples').default.load('advantageText'),
                    type: 'text'
                }
            }
        },
        params: {
            default: () => ({})
        },
    },
    methods: {
        getClass: function(i){
            return [
                [`card-advantage--${this.content.types}`]
            ]
        },
        getClassColumn: function(i){
            if (this.content.types == 'def' || this.content.types == 'number') {
                return 'col-md-6 col-lg-4';
            }

            var c,
                l = this.content.items ? this.content.items.length : 0;

            i++;

            if (l <= 2) {
                c = "col-sm-6";
            }

            if (!(l % 5)) {
                c = 'col-md-6 col-xl-4' + (i > (l - 2 * (l / 5)) ? 'col-sm-6' : '');
            }

            if (!(l % 7)) {
                c = 'col-md-6 col-xl-3' + (i > (l - 3 * (l / 7)) ? 'col-sm-6 col-xl-4' : '');
            }

            if (!(l % 3)) {
                c = 'col-md-6 col-lg-4';
            }

            if (!(l % 4)) {
                c = 'col-md-6 col-xl-3';
            }

            if(this.content.types == 'block') {
                c = c + ' col-6';
            }

            return c ? c : 'col-md-6 col-xl-3';
        }
    }
}
</script>
